/*
 * Copyright (c) 2007 Kathryn Huxtable
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: RSASignatureException.java 1153 2007-04-14 11:11:46Z kathryn5 $
 */
package org.kathrynhuxtable.middleware.shibshim.util;

/**
 * Exception thrown by the RSASignature class.
 */
public class RSASignatureException extends Exception {

    /**
     * Throw exception.
     */
    public RSASignatureException() {
        super();
    }

    /**
     * Throw exception with message.
     * 
     * @param message
     *            the message for this exception.
     */
    public RSASignatureException(String message) {
        super(message);
    }

    /**
     * Throw exception with an exception.
     * 
     * @param e
     *            the exception for this exception.
     */
    public RSASignatureException(Throwable e) {
        super(e);
    }

    /**
     * Throw exception with a message and an exception.
     * 
     * @param message
     *            the message for this exception.
     * @param e
     *            the exception for this exception.
     */
    public RSASignatureException(String message, Throwable e) {
        super(message, e);
    }
}
